Subject: bug#5712: closed (Re: FIXED: Nextstep port: M-x gdb hangs in tab completion of symbols)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Jan 2011 20:35:02 +0000

Your bug report

#5404: 23.1.94; gdb freeze

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5404: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: FIXED: Nextstep port: M-x gdb hangs in tab completion of symbols
From: Steve Revilak <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jan 2011 15:42:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: 23.1.94; gdb freeze
From: Leo <[email-masked]>
To: [email-masked]
Date: Fri, 12 Mar 2010 16:48:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the first time I use gdb from within Emacs so I am not sure if I
am following the right practice. But it is so easy to trigger this that
I think it might be a bug.

1. emacs -Q
2. M-x gdb
3. type in whatever string (in my case I use att hoping it will complete
   to attach) and then hit TAB
4. emacs freezes although I can hit C-g to get it back

If I run gdb in the console, it does the completion correctly.

In GNU Emacs 23.1.94.1 (x86_64-apple-darwin10.2.0, Carbon Version 1.6.0 AppKit 1038.25)
 of 2010-03-12 on Victoria.local
Windowing system distributor `Apple Inc.', version 10.6.2
configured using `configure  '--prefix=/usr/local/unix/emacs' '--with-mac''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Debugger